# admidio-python-api

The objective of this interface is the ability to get data from an ![Admidio](https://github.com/admidio) installation and use them in python. Current planned interfaces are Users and Groups.

There will be 3 modules available:

* **Amidio** which has a list of all Groups and Users
* **Groups** which has a list of the current Users that are in the group
* **Members** which has all the profile data of a member

## How to use

```
from admidio import Admidio
adm = Admidio(mysql_host, mysql_user, mysql_password, mysql_database)
```

It will initialise all groups and users that are in the admidio installation.

##  Todo

* [ ] Integrate custom admidio prefixes.
* [ ] Add events to the API
